Index: LinearAlgebra/configure.ac
===================================================================
--- LinearAlgebra/configure.ac	(revision e06010a270e33777c1171131b7a376f7f344b5d5)
+++ LinearAlgebra/configure.ac	(revision f3b8a5e4ed78b89055bacdcab557b7887840b6a3)
@@ -38,23 +38,18 @@
 dnl Check if we have enable debug support.
 AC_MSG_CHECKING(whether to enable debugging)
-default="no"
-have_debug="no"
 AC_ARG_ENABLE(debug, [  --enable-debug=[no/yes/full] turn on debugging
-                     [default=$default]],, enable_debug=$default)
+                     [default=yes]],, enable_debug=$enableval)
+AC_MSG_RESULT($enable_debug)
 if test "x$enable_debug" = "xyes"; then
   AC_DEFINE(MEMDEBUG,1, ["Use memory debugger."])
   AC_DEFINE(HAVE_DEBUG,1, ["Use debug setting to compile code."])
-  have_debug="yes"
 elif test "x$enable_debug" = "xfull"; then
   AC_DEFINE(MEMDEBUG,1, ["Use memory debugger."])
   AC_DEFINE(LOG_OBSERVER,1, ["Use observer log."])
   AC_DEFINE(HAVE_DEBUG,2, ["Use debug setting to compile code."])
-  have_debug="full"
 else
   AC_DEFINE(NDEBUG,1, ["Don't compile in debugging code."])
   AC_DEFINE(HAVE_DEBUG,0, ["Use debug setting to compile code."])
-  have_debug="no"
 fi
-AC_MSG_RESULT($have_debug)
 AC_SUBST(HAVE_DEBUG)
 
@@ -63,11 +58,10 @@
 dnl Check if we have enable debug support.
 AC_MSG_CHECKING([whether to enable internal caching of values (speedup!)])
-default="yes"
 AC_ARG_ENABLE(cache, [  --enable-cache=[no/yes] turn on caching
-                     [default=$default]],, enable_cache=$default)
+                     [default=yes]],, enable_cache=$enableval)
+AC_MSG_RESULT($enable_cache)
 if test "x$enable_cache" = "xno"; then
   AC_DEFINE(NO_CACHING,1, ["Don't use caching code."])
   AC_DEFINE(HAVE_CACHE,0, ["cache variables to speed up the code."])
-  AC_MSG_RESULT(no)
 else
   AC_DEFINE(HAVE_CACHE,1, ["cache variables to speed up the code."])
@@ -75,29 +69,4 @@
 fi
 AC_SUBST(HAVE_CACHE)
-
-#AC_MSG_CHECKING(whether to enable profiling)
-#default="no"
-#AC_ARG_ENABLE(debug, [  --enable-profile=[no/yes] turn on profiling
-#                       [default=$default]],, enable_profile=$default)
-#if test "x$enable_profile" = "xyes"; then
-#  CXXFLAGS="$CXXFLAGS -g -DDEBUG -pg"
-#  DEBUG=-pg;
-#  AC_MSG_RESULT(yes)
-#else
-#  AC_MSG_RESULT(no)
-#fi
-
-#AC_MSG_CHECKING(whether to enable serialization)
-#default="no"
-#AC_ARG_ENABLE(debug, [  --enable-serialization=[no/yes] turn on serialization support
-#                       [default=$default]],, enable_serialization=$default)
-#if test "x$enable_serialization" = "xyes"; then
-#  CXXFLAGS="$CXXFLAGS -DSERIALIZATION"
-#  serialization=yes;
-#  AC_MSG_RESULT(yes)
-#else
-#  serialization=no;
-#  AC_MSG_RESULT(no)
-#fi
 
 # Checks for libraries.
@@ -150,7 +119,9 @@
 
 # with valgrinding testsuite or not
+AC_MSG_CHECKING(whether to enable valgrind memory checking in testsuite)
 AC_ARG_WITH([valgrind],AS_HELP_STRING([--with-valgrind],[Use Valgrind on the testsuite (default is no)]),
               [with_valgrind=$withval], [with_valgrind=no])
-if test x"$with_valgrind" = xyes; then
+AC_MSG_RESULT($with_valgrind)
+AS_IF([test "$with_valgrind" = yes],[
   AC_CHECK_HEADER([valgrind/valgrind.h],
     [
@@ -167,5 +138,5 @@
     ]
   )
-fi
+])
 
 # Check for "extern inline", using a modified version
Index: configure.ac
===================================================================
--- configure.ac	(revision e06010a270e33777c1171131b7a376f7f344b5d5)
+++ configure.ac	(revision f3b8a5e4ed78b89055bacdcab557b7887840b6a3)
@@ -73,8 +73,8 @@
 dnl Check if we have enable debug support.
 AC_MSG_CHECKING(whether to enable debugging)
-default="no"
 have_debug="no"
+AC_MSG_RESULT($have_debug)
 AC_ARG_ENABLE(debug, [  --enable-debug=[no/yes/full] turn on debugging
-                     [default=$default]],, enable_debug=$default)
+                     [default=no]],, enable_debug=$enableval)
 if test "x$enable_debug" = "xyes"; then
   AC_DEFINE(MEMDEBUG,1, ["Use memory debugger."])
@@ -93,5 +93,4 @@
   have_debug="no"
 fi
-AC_MSG_RESULT($have_debug)
 AC_SUBST(HAVE_DEBUG)
 
@@ -99,42 +98,15 @@
 dnl to the configure script (./configure --enable-debug)
 dnl Check if we have enable debug support.
-AC_MSG_CHECKING([whether to enable internal caching of values (speedup!)])
-default="yes"
+AC_MSG_CHECKING(whether to enable internal caching/lazy evaluation)
 AC_ARG_ENABLE(cache, [  --enable-cache=[no/yes] turn on caching
-                     [default=$default]],, enable_cache=$default)
+                     [default=yes]],, enable_cache=$enableval)
+AC_MSG_RESULT($enable_cache)
 if test "x$enable_cache" = "xno"; then
   AC_DEFINE(NO_CACHING,1, ["Don't use caching code."])
   AC_DEFINE(HAVE_CACHE,0, ["cache variables to speed up the code."])
-  AC_MSG_RESULT(no)
 else
   AC_DEFINE(HAVE_CACHE,1, ["cache variables to speed up the code."])
-  AC_MSG_RESULT(yes)
 fi
 AC_SUBST(HAVE_CACHE)
-
-#AC_MSG_CHECKING(whether to enable profiling)
-#default="no"
-#AC_ARG_ENABLE(debug, [  --enable-profile=[no/yes] turn on profiling
-#                       [default=$default]],, enable_profile=$default)
-#if test "x$enable_profile" = "xyes"; then
-#  CXXFLAGS="$CXXFLAGS -g -DDEBUG -pg"
-#  DEBUG=-pg;
-#  AC_MSG_RESULT(yes)
-#else
-#  AC_MSG_RESULT(no)
-#fi
-
-#AC_MSG_CHECKING(whether to enable serialization)
-#default="no"
-#AC_ARG_ENABLE(debug, [  --enable-serialization=[no/yes] turn on serialization support
-#                       [default=$default]],, enable_serialization=$default)
-#if test "x$enable_serialization" = "xyes"; then
-#  CXXFLAGS="$CXXFLAGS -DSERIALIZATION"
-#  serialization=yes;
-#  AC_MSG_RESULT(yes)
-#else
-#  serialization=no;
-#  AC_MSG_RESULT(no)
-#fi
 
 # Checks for libraries.
@@ -200,7 +172,9 @@
 
 # with valgrinding testsuite or not
+AC_MSG_CHECKING(whether to enable valgrind memory checking in testsuite)
 AC_ARG_WITH([valgrind],AS_HELP_STRING([--with-valgrind],[Use Valgrind on the testsuite (default is no)]),
               [with_valgrind=$withval], [with_valgrind=no])
-if test x"$with_valgrind" = xyes; then
+AC_MSG_RESULT($with_valgrind)
+AS_IF([test "$with_valgrind" = "yes"], [
   AC_CHECK_HEADER([valgrind/valgrind.h],
     [
@@ -217,5 +191,5 @@
     ]
   )
-fi
+])
 
 # Check for "extern inline", using a modified version
